#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host khasa:
#
# ./configure  --enable-debug-yap --enable-low-level-tracer --enable-depth-limit --prefix=/home/vitor/Yap/work
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

ac_cs_usage="Usage: ./config.status [--recheck] [--version] [--help]"
for ac_option
do
  case "$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running ${CONFIG_SHELL-/bin/sh} ./configure  --enable-debug-yap --enable-low-level-tracer --enable-depth-limit --prefix=/home/vitor/Yap/work --no-create --no-recursion"
    exec ${CONFIG_SHELL-/bin/sh} ./configure  --enable-debug-yap --enable-low-level-tracer --enable-depth-limit --prefix=/home/vitor/Yap/work --no-create --no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "./config.status generated by autoconf version 2.13"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "$ac_cs_usage"; exit 0 ;;
  *) echo "$ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=.
ac_given_INSTALL="/usr/bin/install -c"

trap 'rm -fr Makefile library/regex/Makefile library/system/Makefile library/random/Makefile library/yap2swi/Makefile library/mpi/Makefile .depend library/Makefile CHR/Makefile CLPQR/Makefile library/Tries/Makefile config.h conftest*; exit 1' 1 2 15

# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\&%]/\\&/g;
 s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
/^[ 	]*VPATH[ 	]*=[^:]*$/d

s%@SHELL@%/bin/sh%g
s%@CFLAGS@%-O -g -Wall -Wstrict-prototypes -Wmissing-prototypes%g
s%@CPPFLAGS@%%g
s%@CXXFLAGS@%%g
s%@FFLAGS@%%g
s%@DEFS@%-DHAVE_CONFIG_H%g
s%@LDFLAGS@%-rdynamic %g
s%@LIBS@%-lgmp -lreadline -lncurses -ltermcap -lm  -ldl -lnsl%g
s%@exec_prefix@%${prefix}%g
s%@prefix@%/home/vitor/Yap/work%g
s%@program_transform_name@%s,x,x,%g
s%@bindir@%${exec_prefix}/bin%g
s%@sbindir@%${exec_prefix}/sbin%g
s%@libexecdir@%${exec_prefix}/libexec%g
s%@datadir@%${prefix}/share%g
s%@sysconfdir@%${prefix}/etc%g
s%@sharedstatedir@%${prefix}/com%g
s%@localstatedir@%${prefix}/var%g
s%@libdir@%${exec_prefix}/lib%g
s%@includedir@%${prefix}/include%g
s%@oldincludedir@%/usr/include%g
s%@infodir@%${prefix}/info%g
s%@mandir@%${prefix}/man%g
s%@CC@%gcc%g
s%@GCC@%yes%g
s%@C_INTERF_FLAGS@%-O -g -Wall -Wstrict-prototypes -Wmissing-prototypes%g
s%@C_PARSER_FLAGS@%%g
s%@host@%i686-pc-linux-gnu%g
s%@host_alias@%i686-pc-linux-gnu%g
s%@host_cpu@%i686%g
s%@host_vendor@%pc%g
s%@host_os@%linux-gnu%g
s%@target@%i686-pc-linux-gnu%g
s%@target_alias@%i686-pc-linux-gnu%g
s%@target_cpu@%i686%g
s%@target_vendor@%pc%g
s%@target_os@%linux-gnu%g
s%@build@%i686-pc-linux-gnu%g
s%@build_alias@%i686-pc-linux-gnu%g
s%@build_cpu@%i686%g
s%@build_vendor@%pc%g
s%@build_os@%linux-gnu%g
s%@LN_S@%ln -s%g
s%@INSTALL_PROGRAM@%${INSTALL}%g
s%@INSTALL_SCRIPT@%${INSTALL_PROGRAM}%g
s%@INSTALL_DATA@%${INSTALL} -m 644%g
s%@RANLIB@%ranlib%g
s%@INDENT@%indent%g
s%@AR@%ar%g
s%@MPI_CC@%gcc%g
s%@INSTALL_INFO@%/sbin/install-info%g
s%@INSTALL_COMMAND@%install_unix%g
s%@CROSS_SIMULATOR@%%g
s%@YAPMPILIB@%%g
s%@MPI_OBJS@%%g
s%@MPI_LIBS@%%g
s%@CPP@%gcc -E%g
s%@INSTALL_DLLS@%%g
s%@MERGE_DLL_OBJS@%#%g
s%@SHLIB_CFLAGS@%-shared -fPIC%g
s%@SHLIB_SUFFIX@%.so%g
s%@EXEC_SUFFIX@%%g
s%@DO_SECOND_LD@%%g
s%@SHLIB_LD@%ld -shared%g
s%@YAPLIB@%libYap.a%g
s%@YAP_EXTRAS@% -DDEBUG=1 -DDEPTH_LIMIT=1 -DLOW_LEVEL_TRACER=1%g
s%@NO_BUILTIN_REGEXP@%#%g
s%@M4@%m4%g
s%@M4GENHDRS@%m4/gcc_genhdrs.m4%g
s%@M4GENABSMI@%gen_gcc.m4%g

CEOF

# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
ac_file=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_cmds # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=""
while $ac_more_lines; do
  if test $ac_beg -gt 1; then
    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
  else
    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
  fi
  if test ! -s conftest.s$ac_file; then
    ac_more_lines=false
    rm -f conftest.s$ac_file
  else
    if test -z "$ac_sed_cmds"; then
      ac_sed_cmds="sed -f conftest.s$ac_file"
    else
      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
    fi
    ac_file=`expr $ac_file + 1`
    ac_beg=$ac_end
    ac_end=`expr $ac_end + $ac_max_sed_cmds`
  fi
done
if test -z "$ac_sed_cmds"; then
  ac_sed_cmds=cat
fi

CONFIG_FILES=${CONFIG_FILES-"Makefile library/regex/Makefile library/system/Makefile library/random/Makefile library/yap2swi/Makefile library/mpi/Makefile .depend library/Makefile CHR/Makefile CLPQR/Makefile library/Tries/Makefile"}
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.

  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac

  case "$ac_given_INSTALL" in
  [/$]*) INSTALL="$ac_given_INSTALL" ;;
  *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
  esac

  echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac

  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
s%@INSTALL@%$INSTALL%g
" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
fi; done
rm -f conftest.s*

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
ac_dC='\3'
ac_dD='%g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)%\1#\2define\3'
ac_uC=' '
ac_uD='\4%g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='$%\1#\2define\3'
ac_eC=' '
ac_eD='%g'

if test "${CONFIG_HEADERS+set}" != set; then
  CONFIG_HEADERS="config.h"
fi
for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  echo creating $ac_file

  rm -f conftest.frag conftest.in conftest.out
  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  cat $ac_file_inputs > conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}MinHeapSpace${ac_dB}MinHeapSpace${ac_dC}(200*SIZEOF_INT_P)${ac_dD}
${ac_uA}MinHeapSpace${ac_uB}MinHeapSpace${ac_uC}(200*SIZEOF_INT_P)${ac_uD}
${ac_eA}MinHeapSpace${ac_eB}MinHeapSpace${ac_eC}(200*SIZEOF_INT_P)${ac_eD}
${ac_dA}MinStackSpace${ac_dB}MinStackSpace${ac_dC}(200*SIZEOF_INT_P)${ac_dD}
${ac_uA}MinStackSpace${ac_uB}MinStackSpace${ac_uC}(200*SIZEOF_INT_P)${ac_uD}
${ac_eA}MinStackSpace${ac_eB}MinStackSpace${ac_eC}(200*SIZEOF_INT_P)${ac_eD}
${ac_dA}MinTrailSpace${ac_dB}MinTrailSpace${ac_dC}( 32*SIZEOF_INT_P)${ac_dD}
${ac_uA}MinTrailSpace${ac_uB}MinTrailSpace${ac_uC}( 32*SIZEOF_INT_P)${ac_uD}
${ac_eA}MinTrailSpace${ac_eB}MinTrailSpace${ac_eC}( 32*SIZEOF_INT_P)${ac_eD}
${ac_dA}DefHeapSpace${ac_dB}DefHeapSpace${ac_dC}(0)${ac_dD}
${ac_uA}DefHeapSpace${ac_uB}DefHeapSpace${ac_uC}(0)${ac_uD}
${ac_eA}DefHeapSpace${ac_eB}DefHeapSpace${ac_eC}(0)${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}DefStackSpace${ac_dB}DefStackSpace${ac_dC}(0)${ac_dD}
${ac_uA}DefStackSpace${ac_uB}DefStackSpace${ac_uC}(0)${ac_uD}
${ac_eA}DefStackSpace${ac_eB}DefStackSpace${ac_eC}(0)${ac_eD}
${ac_dA}DefTrailSpace${ac_dB}DefTrailSpace${ac_dC}(0)${ac_dD}
${ac_uA}DefTrailSpace${ac_uB}DefTrailSpace${ac_uC}(0)${ac_uD}
${ac_eA}DefTrailSpace${ac_eB}DefTrailSpace${ac_eC}(0)${ac_eD}
${ac_dA}HOST_ALIAS${ac_dB}HOST_ALIAS${ac_dC}"i686-pc-linux-gnu"${ac_dD}
${ac_uA}HOST_ALIAS${ac_uB}HOST_ALIAS${ac_uC}"i686-pc-linux-gnu"${ac_uD}
${ac_eA}HOST_ALIAS${ac_eB}HOST_ALIAS${ac_eC}"i686-pc-linux-gnu"${ac_eD}
${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBM${ac_eB}HAVE_LIBM${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_LIBTERMCAP${ac_dB}HAVE_LIBTERMCAP${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBTERMCAP${ac_uB}HAVE_LIBTERMCAP${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBTERMCAP${ac_eB}HAVE_LIBTERMCAP${ac_eC}1${ac_eD}
${ac_dA}HAVE_LIBNCURSES${ac_dB}HAVE_LIBNCURSES${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBNCURSES${ac_uB}HAVE_LIBNCURSES${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBNCURSES${ac_eB}HAVE_LIBNCURSES${ac_eC}1${ac_eD}
${ac_dA}HAVE_LIBREADLINE${ac_dB}HAVE_LIBREADLINE${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBREADLINE${ac_uB}HAVE_LIBREADLINE${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBREADLINE${ac_eB}HAVE_LIBREADLINE${ac_eC}1${ac_eD}
${ac_dA}HAVE_LIBGMP${ac_dB}HAVE_LIBGMP${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIBGMP${ac_uB}HAVE_LIBGMP${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIBGMP${ac_eB}HAVE_LIBGMP${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_RESTARTABLE_SYSCALLS${ac_dB}HAVE_RESTARTABLE_SYSCALLS${ac_dC}1${ac_dD}
${ac_uA}HAVE_RESTARTABLE_SYSCALLS${ac_uB}HAVE_RESTARTABLE_SYSCALLS${ac_uC}1${ac_uD}
${ac_eA}HAVE_RESTARTABLE_SYSCALLS${ac_eB}HAVE_RESTARTABLE_SYSCALLS${ac_eC}1${ac_eD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_eA}STDC_HEADERS${ac_eB}STDC_HEADERS${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_WAIT_H${ac_eB}HAVE_SYS_WAIT_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_ARPA_INET_H${ac_dB}HAVE_ARPA_INET_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_ARPA_INET_H${ac_uB}HAVE_ARPA_INET_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_ARPA_INET_H${ac_eB}HAVE_ARPA_INET_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_CTYPE_H${ac_dB}HAVE_CTYPE_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_CTYPE_H${ac_uB}HAVE_CTYPE_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_CTYPE_H${ac_eB}HAVE_CTYPE_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_DIRENT_H${ac_eB}HAVE_DIRENT_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_DLFCN_H${ac_eB}HAVE_DLFCN_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_ERRNO_H${ac_dB}HAVE_ERRNO_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_ERRNO_H${ac_uB}HAVE_ERRNO_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_ERRNO_H${ac_eB}HAVE_ERRNO_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_FCNTL_H${ac_eB}HAVE_FCNTL_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_FENV_H${ac_dB}HAVE_FENV_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_FENV_H${ac_uB}HAVE_FENV_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_FENV_H${ac_eB}HAVE_FENV_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_FPU_CONTROL_H${ac_dB}HAVE_FPU_CONTROL_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_FPU_CONTROL_H${ac_uB}HAVE_FPU_CONTROL_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_FPU_CONTROL_H${ac_eB}HAVE_FPU_CONTROL_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_LIMITS_H${ac_eB}HAVE_LIMITS_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_MALLOC_H${ac_dB}HAVE_MALLOC_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_MALLOC_H${ac_uB}HAVE_MALLOC_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_MALLOC_H${ac_eB}HAVE_MALLOC_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_MATH_H${ac_dB}HAVE_MATH_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_MATH_H${ac_uB}HAVE_MATH_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_MATH_H${ac_eB}HAVE_MATH_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_MEMORY_H${ac_eB}HAVE_MEMORY_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_NETDB_H${ac_dB}HAVE_NETDB_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_NETDB_H${ac_uB}HAVE_NETDB_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_NETDB_H${ac_eB}HAVE_NETDB_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_NETINET_IN_H${ac_eB}HAVE_NETINET_IN_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_REGEX_H${ac_dB}HAVE_REGEX_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_REGEX_H${ac_uB}HAVE_REGEX_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_REGEX_H${ac_eB}HAVE_REGEX_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGNAL_H${ac_dB}HAVE_SIGNAL_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGNAL_H${ac_uB}HAVE_SIGNAL_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGNAL_H${ac_eB}HAVE_SIGNAL_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_STDARG_H${ac_dB}HAVE_STDARG_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_STDARG_H${ac_uB}HAVE_STDARG_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_STDARG_H${ac_eB}HAVE_STDARG_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRING_H${ac_eB}HAVE_STRING_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_STROPTS_H${ac_dB}HAVE_STROPTS_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_STROPTS_H${ac_uB}HAVE_STROPTS_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_STROPTS_H${ac_eB}HAVE_STROPTS_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_FILE_H${ac_dB}HAVE_SYS_FILE_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_FILE_H${ac_uB}HAVE_SYS_FILE_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_FILE_H${ac_eB}HAVE_SYS_FILE_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_MMAN_H${ac_dB}HAVE_SYS_MMAN_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_MMAN_H${ac_uB}HAVE_SYS_MMAN_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_MMAN_H${ac_eB}HAVE_SYS_MMAN_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_PARAM_H${ac_eB}HAVE_SYS_PARAM_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_RESOURCE_H${ac_dB}HAVE_SYS_RESOURCE_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_RESOURCE_H${ac_uB}HAVE_SYS_RESOURCE_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_RESOURCE_H${ac_eB}HAVE_SYS_RESOURCE_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_SELECT_H${ac_dB}HAVE_SYS_SELECT_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_SELECT_H${ac_uB}HAVE_SYS_SELECT_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_SELECT_H${ac_eB}HAVE_SYS_SELECT_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_SHM_H${ac_dB}HAVE_SYS_SHM_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_SHM_H${ac_uB}HAVE_SYS_SHM_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_SHM_H${ac_eB}HAVE_SYS_SHM_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_SOCKET_H${ac_eB}HAVE_SYS_SOCKET_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_STAT_H${ac_eB}HAVE_SYS_STAT_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_TIME_H${ac_eB}HAVE_SYS_TIME_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_TIMES_H${ac_dB}HAVE_SYS_TIMES_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_TIMES_H${ac_uB}HAVE_SYS_TIMES_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_TIMES_H${ac_eB}HAVE_SYS_TIMES_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_TYPES_H${ac_eB}HAVE_SYS_TYPES_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_UCONTEXT_H${ac_dB}HAVE_SYS_UCONTEXT_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_UCONTEXT_H${ac_uB}HAVE_SYS_UCONTEXT_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_UCONTEXT_H${ac_eB}HAVE_SYS_UCONTEXT_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYS_UN_H${ac_dB}HAVE_SYS_UN_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYS_UN_H${ac_uB}HAVE_SYS_UN_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYS_UN_H${ac_eB}HAVE_SYS_UN_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_TIME_H${ac_dB}HAVE_TIME_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_TIME_H${ac_uB}HAVE_TIME_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_TIME_H${ac_eB}HAVE_TIME_H${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_UNISTD_H${ac_eB}HAVE_UNISTD_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_GMP_H${ac_dB}HAVE_GMP_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_GMP_H${ac_uB}HAVE_GMP_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_GMP_H${ac_eB}HAVE_GMP_H${ac_eC}1${ac_eD}
${ac_dA}HAVE_READLINE_READLINE_H${ac_dB}HAVE_READLINE_READLINE_H${ac_dC}1${ac_dD}
${ac_uA}HAVE_READLINE_READLINE_H${ac_uB}HAVE_READLINE_READLINE_H${ac_uC}1${ac_uD}
${ac_eA}HAVE_READLINE_READLINE_H${ac_eB}HAVE_READLINE_READLINE_H${ac_eC}1${ac_eD}
${ac_dA}SIZEOF_INT_P${ac_dB}SIZEOF_INT_P${ac_dC}4${ac_dD}
${ac_uA}SIZEOF_INT_P${ac_uB}SIZEOF_INT_P${ac_uC}4${ac_uD}
${ac_eA}SIZEOF_INT_P${ac_eB}SIZEOF_INT_P${ac_eC}4${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}SIZEOF_SHORT_INT${ac_dB}SIZEOF_SHORT_INT${ac_dC}2${ac_dD}
${ac_uA}SIZEOF_SHORT_INT${ac_uB}SIZEOF_SHORT_INT${ac_uC}2${ac_uD}
${ac_eA}SIZEOF_SHORT_INT${ac_eB}SIZEOF_SHORT_INT${ac_eC}2${ac_eD}
${ac_dA}SIZEOF_INT${ac_dB}SIZEOF_INT${ac_dC}4${ac_dD}
${ac_uA}SIZEOF_INT${ac_uB}SIZEOF_INT${ac_uC}4${ac_uD}
${ac_eA}SIZEOF_INT${ac_eB}SIZEOF_INT${ac_eC}4${ac_eD}
${ac_dA}SIZEOF_LONG_INT${ac_dB}SIZEOF_LONG_INT${ac_dC}4${ac_dD}
${ac_uA}SIZEOF_LONG_INT${ac_uB}SIZEOF_LONG_INT${ac_uC}4${ac_uD}
${ac_eA}SIZEOF_LONG_INT${ac_eB}SIZEOF_LONG_INT${ac_eC}4${ac_eD}
${ac_dA}SIZEOF_LONG_LONG_INT${ac_dB}SIZEOF_LONG_LONG_INT${ac_dC}8${ac_dD}
${ac_uA}SIZEOF_LONG_LONG_INT${ac_uB}SIZEOF_LONG_LONG_INT${ac_uC}8${ac_uD}
${ac_eA}SIZEOF_LONG_LONG_INT${ac_eB}SIZEOF_LONG_LONG_INT${ac_eC}8${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}SIZEOF_FLOAT${ac_dB}SIZEOF_FLOAT${ac_dC}4${ac_dD}
${ac_uA}SIZEOF_FLOAT${ac_uB}SIZEOF_FLOAT${ac_uC}4${ac_uD}
${ac_eA}SIZEOF_FLOAT${ac_eB}SIZEOF_FLOAT${ac_eC}4${ac_eD}
${ac_dA}SIZEOF_DOUBLE${ac_dB}SIZEOF_DOUBLE${ac_dC}8${ac_dD}
${ac_uA}SIZEOF_DOUBLE${ac_uB}SIZEOF_DOUBLE${ac_uC}8${ac_uD}
${ac_eA}SIZEOF_DOUBLE${ac_eB}SIZEOF_DOUBLE${ac_eC}8${ac_eD}
${ac_dA}MALLOC_T${ac_dB}MALLOC_T${ac_dC}void *${ac_dD}
${ac_uA}MALLOC_T${ac_uB}MALLOC_T${ac_uC}void *${ac_uD}
${ac_eA}MALLOC_T${ac_eB}MALLOC_T${ac_eC}void *${ac_eD}
${ac_dA}HAVE_GCC${ac_dB}HAVE_GCC${ac_dC}1${ac_dD}
${ac_uA}HAVE_GCC${ac_uB}HAVE_GCC${ac_uC}1${ac_uD}
${ac_eA}HAVE_GCC${ac_eB}HAVE_GCC${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}USE_THREADED_CODE${ac_dB}USE_THREADED_CODE${ac_dC}1${ac_dD}
${ac_uA}USE_THREADED_CODE${ac_uB}USE_THREADED_CODE${ac_uC}1${ac_uD}
${ac_eA}USE_THREADED_CODE${ac_eB}USE_THREADED_CODE${ac_eC}1${ac_eD}
${ac_dA}FFIEEE${ac_dB}FFIEEE${ac_dC}1${ac_dD}
${ac_uA}FFIEEE${ac_uB}FFIEEE${ac_uC}1${ac_uD}
${ac_eA}FFIEEE${ac_eB}FFIEEE${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGSETJMP${ac_dB}HAVE_SIGSETJMP${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGSETJMP${ac_uB}HAVE_SIGSETJMP${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGSETJMP${ac_eB}HAVE_SIGSETJMP${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGSEGV${ac_dB}HAVE_SIGSEGV${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGSEGV${ac_uB}HAVE_SIGSEGV${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGSEGV${ac_eB}HAVE_SIGSEGV${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SIGPROF${ac_dB}HAVE_SIGPROF${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGPROF${ac_uB}HAVE_SIGPROF${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGPROF${ac_eB}HAVE_SIGPROF${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGINFO${ac_dB}HAVE_SIGINFO${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGINFO${ac_uB}HAVE_SIGINFO${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGINFO${ac_eB}HAVE_SIGINFO${ac_eC}1${ac_eD}
${ac_dA}HAVE_ENVIRON${ac_dB}HAVE_ENVIRON${ac_dC}1${ac_dD}
${ac_uA}HAVE_ENVIRON${ac_uB}HAVE_ENVIRON${ac_uC}1${ac_uD}
${ac_eA}HAVE_ENVIRON${ac_eB}HAVE_ENVIRON${ac_eC}1${ac_eD}
${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
${ac_eA}RETSIGTYPE${ac_eB}RETSIGTYPE${ac_eC}void${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_ACOSH${ac_dB}HAVE_ACOSH${ac_dC}1${ac_dD}
${ac_uA}HAVE_ACOSH${ac_uB}HAVE_ACOSH${ac_uC}1${ac_uD}
${ac_eA}HAVE_ACOSH${ac_eB}HAVE_ACOSH${ac_eC}1${ac_eD}
${ac_dA}HAVE_ASINH${ac_dB}HAVE_ASINH${ac_dC}1${ac_dD}
${ac_uA}HAVE_ASINH${ac_uB}HAVE_ASINH${ac_uC}1${ac_uD}
${ac_eA}HAVE_ASINH${ac_eB}HAVE_ASINH${ac_eC}1${ac_eD}
${ac_dA}HAVE_ATANH${ac_dB}HAVE_ATANH${ac_dC}1${ac_dD}
${ac_uA}HAVE_ATANH${ac_uB}HAVE_ATANH${ac_uC}1${ac_uD}
${ac_eA}HAVE_ATANH${ac_eB}HAVE_ATANH${ac_eC}1${ac_eD}
${ac_dA}HAVE_CHDIR${ac_dB}HAVE_CHDIR${ac_dC}1${ac_dD}
${ac_uA}HAVE_CHDIR${ac_uB}HAVE_CHDIR${ac_uC}1${ac_uD}
${ac_eA}HAVE_CHDIR${ac_eB}HAVE_CHDIR${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_DLOPEN${ac_dB}HAVE_DLOPEN${ac_dC}1${ac_dD}
${ac_uA}HAVE_DLOPEN${ac_uB}HAVE_DLOPEN${ac_uC}1${ac_uD}
${ac_eA}HAVE_DLOPEN${ac_eB}HAVE_DLOPEN${ac_eC}1${ac_eD}
${ac_dA}HAVE_DUP2${ac_dB}HAVE_DUP2${ac_dC}1${ac_dD}
${ac_uA}HAVE_DUP2${ac_uB}HAVE_DUP2${ac_uC}1${ac_uD}
${ac_eA}HAVE_DUP2${ac_eB}HAVE_DUP2${ac_eC}1${ac_eD}
${ac_dA}HAVE_FINITE${ac_dB}HAVE_FINITE${ac_dC}1${ac_dD}
${ac_uA}HAVE_FINITE${ac_uB}HAVE_FINITE${ac_uC}1${ac_uD}
${ac_eA}HAVE_FINITE${ac_eB}HAVE_FINITE${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETCWD${ac_dB}HAVE_GETCWD${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETCWD${ac_uB}HAVE_GETCWD${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETCWD${ac_eB}HAVE_GETCWD${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_GETENV${ac_dB}HAVE_GETENV${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETENV${ac_uB}HAVE_GETENV${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETENV${ac_eB}HAVE_GETENV${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETHOSTBYNAME${ac_dB}HAVE_GETHOSTBYNAME${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETHOSTBYNAME${ac_uB}HAVE_GETHOSTBYNAME${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETHOSTBYNAME${ac_eB}HAVE_GETHOSTBYNAME${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETHOSTID${ac_dB}HAVE_GETHOSTID${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETHOSTID${ac_uB}HAVE_GETHOSTID${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETHOSTID${ac_eB}HAVE_GETHOSTID${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETHOSTNAME${ac_eB}HAVE_GETHOSTNAME${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_GETPWNAM${ac_dB}HAVE_GETPWNAM${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETPWNAM${ac_uB}HAVE_GETPWNAM${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETPWNAM${ac_eB}HAVE_GETPWNAM${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETRUSAGE${ac_dB}HAVE_GETRUSAGE${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETRUSAGE${ac_uB}HAVE_GETRUSAGE${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETRUSAGE${ac_eB}HAVE_GETRUSAGE${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETTIMEOFDAY${ac_eB}HAVE_GETTIMEOFDAY${ac_eC}1${ac_eD}
${ac_dA}HAVE_GETWD${ac_dB}HAVE_GETWD${ac_dC}1${ac_dD}
${ac_uA}HAVE_GETWD${ac_uB}HAVE_GETWD${ac_uC}1${ac_uD}
${ac_eA}HAVE_GETWD${ac_eB}HAVE_GETWD${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_ISATTY${ac_dB}HAVE_ISATTY${ac_dC}1${ac_dD}
${ac_uA}HAVE_ISATTY${ac_uB}HAVE_ISATTY${ac_uC}1${ac_uD}
${ac_eA}HAVE_ISATTY${ac_eB}HAVE_ISATTY${ac_eC}1${ac_eD}
${ac_dA}HAVE_ISNAN${ac_dB}HAVE_ISNAN${ac_dC}1${ac_dD}
${ac_uA}HAVE_ISNAN${ac_uB}HAVE_ISNAN${ac_uC}1${ac_uD}
${ac_eA}HAVE_ISNAN${ac_eB}HAVE_ISNAN${ac_eC}1${ac_eD}
${ac_dA}HAVE_KILL${ac_dB}HAVE_KILL${ac_dC}1${ac_dD}
${ac_uA}HAVE_KILL${ac_uB}HAVE_KILL${ac_uC}1${ac_uD}
${ac_eA}HAVE_KILL${ac_eB}HAVE_KILL${ac_eC}1${ac_eD}
${ac_dA}HAVE_LABS${ac_dB}HAVE_LABS${ac_dC}1${ac_dD}
${ac_uA}HAVE_LABS${ac_uB}HAVE_LABS${ac_uC}1${ac_uD}
${ac_eA}HAVE_LABS${ac_eB}HAVE_LABS${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_LINK${ac_dB}HAVE_LINK${ac_dC}1${ac_dD}
${ac_uA}HAVE_LINK${ac_uB}HAVE_LINK${ac_uC}1${ac_uD}
${ac_eA}HAVE_LINK${ac_eB}HAVE_LINK${ac_eC}1${ac_eD}
${ac_dA}HAVE_LOCALTIME${ac_dB}HAVE_LOCALTIME${ac_dC}1${ac_dD}
${ac_uA}HAVE_LOCALTIME${ac_uB}HAVE_LOCALTIME${ac_uC}1${ac_uD}
${ac_eA}HAVE_LOCALTIME${ac_eB}HAVE_LOCALTIME${ac_eC}1${ac_eD}
${ac_dA}HAVE_LSTAT${ac_dB}HAVE_LSTAT${ac_dC}1${ac_dD}
${ac_uA}HAVE_LSTAT${ac_uB}HAVE_LSTAT${ac_uC}1${ac_uD}
${ac_eA}HAVE_LSTAT${ac_eB}HAVE_LSTAT${ac_eC}1${ac_eD}
${ac_dA}HAVE_MEMCPY${ac_dB}HAVE_MEMCPY${ac_dC}1${ac_dD}
${ac_uA}HAVE_MEMCPY${ac_uB}HAVE_MEMCPY${ac_uC}1${ac_uD}
${ac_eA}HAVE_MEMCPY${ac_eB}HAVE_MEMCPY${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_MEMMOVE${ac_dB}HAVE_MEMMOVE${ac_dC}1${ac_dD}
${ac_uA}HAVE_MEMMOVE${ac_uB}HAVE_MEMMOVE${ac_uC}1${ac_uD}
${ac_eA}HAVE_MEMMOVE${ac_eB}HAVE_MEMMOVE${ac_eC}1${ac_eD}
${ac_dA}HAVE_MKSTEMP${ac_dB}HAVE_MKSTEMP${ac_dC}1${ac_dD}
${ac_uA}HAVE_MKSTEMP${ac_uB}HAVE_MKSTEMP${ac_uC}1${ac_uD}
${ac_eA}HAVE_MKSTEMP${ac_eB}HAVE_MKSTEMP${ac_eC}1${ac_eD}
${ac_dA}HAVE_MKTEMP${ac_dB}HAVE_MKTEMP${ac_dC}1${ac_dD}
${ac_uA}HAVE_MKTEMP${ac_uB}HAVE_MKTEMP${ac_uC}1${ac_uD}
${ac_eA}HAVE_MKTEMP${ac_eB}HAVE_MKTEMP${ac_eC}1${ac_eD}
${ac_dA}HAVE_OPENDIR${ac_dB}HAVE_OPENDIR${ac_dC}1${ac_dD}
${ac_uA}HAVE_OPENDIR${ac_uB}HAVE_OPENDIR${ac_uC}1${ac_uD}
${ac_eA}HAVE_OPENDIR${ac_eB}HAVE_OPENDIR${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_PUTENV${ac_dB}HAVE_PUTENV${ac_dC}1${ac_dD}
${ac_uA}HAVE_PUTENV${ac_uB}HAVE_PUTENV${ac_uC}1${ac_uD}
${ac_eA}HAVE_PUTENV${ac_eB}HAVE_PUTENV${ac_eC}1${ac_eD}
${ac_dA}HAVE_RAND${ac_dB}HAVE_RAND${ac_dC}1${ac_dD}
${ac_uA}HAVE_RAND${ac_uB}HAVE_RAND${ac_uC}1${ac_uD}
${ac_eA}HAVE_RAND${ac_eB}HAVE_RAND${ac_eC}1${ac_eD}
${ac_dA}HAVE_RANDOM${ac_dB}HAVE_RANDOM${ac_dC}1${ac_dD}
${ac_uA}HAVE_RANDOM${ac_uB}HAVE_RANDOM${ac_uC}1${ac_uD}
${ac_eA}HAVE_RANDOM${ac_eB}HAVE_RANDOM${ac_eC}1${ac_eD}
${ac_dA}HAVE_READLINK${ac_dB}HAVE_READLINK${ac_dC}1${ac_dD}
${ac_uA}HAVE_READLINK${ac_uB}HAVE_READLINK${ac_uC}1${ac_uD}
${ac_eA}HAVE_READLINK${ac_eB}HAVE_READLINK${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_REGEXEC${ac_dB}HAVE_REGEXEC${ac_dC}1${ac_dD}
${ac_uA}HAVE_REGEXEC${ac_uB}HAVE_REGEXEC${ac_uC}1${ac_uD}
${ac_eA}HAVE_REGEXEC${ac_eB}HAVE_REGEXEC${ac_eC}1${ac_eD}
${ac_dA}HAVE_RENAME${ac_dB}HAVE_RENAME${ac_dC}1${ac_dD}
${ac_uA}HAVE_RENAME${ac_uB}HAVE_RENAME${ac_uC}1${ac_uD}
${ac_eA}HAVE_RENAME${ac_eB}HAVE_RENAME${ac_eC}1${ac_eD}
${ac_dA}HAVE_RINT${ac_dB}HAVE_RINT${ac_dC}1${ac_dD}
${ac_uA}HAVE_RINT${ac_uB}HAVE_RINT${ac_uC}1${ac_uD}
${ac_eA}HAVE_RINT${ac_eB}HAVE_RINT${ac_eC}1${ac_eD}
${ac_dA}HAVE_RL_SET_PROMPT${ac_dB}HAVE_RL_SET_PROMPT${ac_dC}1${ac_dD}
${ac_uA}HAVE_RL_SET_PROMPT${ac_uB}HAVE_RL_SET_PROMPT${ac_uC}1${ac_uD}
${ac_eA}HAVE_RL_SET_PROMPT${ac_eB}HAVE_RL_SET_PROMPT${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SBRK${ac_dB}HAVE_SBRK${ac_dC}1${ac_dD}
${ac_uA}HAVE_SBRK${ac_uB}HAVE_SBRK${ac_uC}1${ac_uD}
${ac_eA}HAVE_SBRK${ac_eB}HAVE_SBRK${ac_eC}1${ac_eD}
${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
${ac_eA}HAVE_SELECT${ac_eB}HAVE_SELECT${ac_eC}1${ac_eD}
${ac_dA}HAVE_SETBUF${ac_dB}HAVE_SETBUF${ac_dC}1${ac_dD}
${ac_uA}HAVE_SETBUF${ac_uB}HAVE_SETBUF${ac_uC}1${ac_uD}
${ac_eA}HAVE_SETBUF${ac_eB}HAVE_SETBUF${ac_eC}1${ac_eD}
${ac_dA}HAVE_SETLINEBUF${ac_dB}HAVE_SETLINEBUF${ac_dC}1${ac_dD}
${ac_uA}HAVE_SETLINEBUF${ac_uB}HAVE_SETLINEBUF${ac_uC}1${ac_uD}
${ac_eA}HAVE_SETLINEBUF${ac_eB}HAVE_SETLINEBUF${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SIGACTION${ac_dB}HAVE_SIGACTION${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGACTION${ac_uB}HAVE_SIGACTION${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGACTION${ac_eB}HAVE_SIGACTION${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGGETMASK${ac_dB}HAVE_SIGGETMASK${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGGETMASK${ac_uB}HAVE_SIGGETMASK${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGGETMASK${ac_eB}HAVE_SIGGETMASK${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGINTERRUPT${ac_dB}HAVE_SIGINTERRUPT${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGINTERRUPT${ac_uB}HAVE_SIGINTERRUPT${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGINTERRUPT${ac_eB}HAVE_SIGINTERRUPT${ac_eC}1${ac_eD}
${ac_dA}HAVE_SIGNAL${ac_dB}HAVE_SIGNAL${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGNAL${ac_uB}HAVE_SIGNAL${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGNAL${ac_eB}HAVE_SIGNAL${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SIGPROCMASK${ac_dB}HAVE_SIGPROCMASK${ac_dC}1${ac_dD}
${ac_uA}HAVE_SIGPROCMASK${ac_uB}HAVE_SIGPROCMASK${ac_uC}1${ac_uD}
${ac_eA}HAVE_SIGPROCMASK${ac_eB}HAVE_SIGPROCMASK${ac_eC}1${ac_eD}
${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
${ac_eA}HAVE_SOCKET${ac_eB}HAVE_SOCKET${ac_eC}1${ac_eD}
${ac_dA}HAVE_STAT${ac_dB}HAVE_STAT${ac_dC}1${ac_dD}
${ac_uA}HAVE_STAT${ac_uB}HAVE_STAT${ac_uC}1${ac_uD}
${ac_eA}HAVE_STAT${ac_eB}HAVE_STAT${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRCHR${ac_eB}HAVE_STRCHR${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRERROR${ac_eB}HAVE_STRERROR${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRNCAT${ac_dB}HAVE_STRNCAT${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRNCAT${ac_uB}HAVE_STRNCAT${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRNCAT${ac_eB}HAVE_STRNCAT${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRNCPY${ac_dB}HAVE_STRNCPY${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRNCPY${ac_uB}HAVE_STRNCPY${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRNCPY${ac_eB}HAVE_STRNCPY${ac_eC}1${ac_eD}
${ac_dA}HAVE_STRTOD${ac_dB}HAVE_STRTOD${ac_dC}1${ac_dD}
${ac_uA}HAVE_STRTOD${ac_uB}HAVE_STRTOD${ac_uC}1${ac_uD}
${ac_eA}HAVE_STRTOD${ac_eB}HAVE_STRTOD${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_TIME${ac_dB}HAVE_TIME${ac_dC}1${ac_dD}
${ac_uA}HAVE_TIME${ac_uB}HAVE_TIME${ac_uC}1${ac_uD}
${ac_eA}HAVE_TIME${ac_eB}HAVE_TIME${ac_eC}1${ac_eD}
${ac_dA}HAVE_TIMES${ac_dB}HAVE_TIMES${ac_dC}1${ac_dD}
${ac_uA}HAVE_TIMES${ac_uB}HAVE_TIMES${ac_uC}1${ac_uD}
${ac_eA}HAVE_TIMES${ac_eB}HAVE_TIMES${ac_eC}1${ac_eD}
${ac_dA}HAVE_TMPNAM${ac_dB}HAVE_TMPNAM${ac_dC}1${ac_dD}
${ac_uA}HAVE_TMPNAM${ac_uB}HAVE_TMPNAM${ac_uC}1${ac_uD}
${ac_eA}HAVE_TMPNAM${ac_eB}HAVE_TMPNAM${ac_eC}1${ac_eD}
${ac_dA}HAVE_USLEEP${ac_dB}HAVE_USLEEP${ac_dC}1${ac_dD}
${ac_uA}HAVE_USLEEP${ac_uB}HAVE_USLEEP${ac_uC}1${ac_uD}
${ac_eA}HAVE_USLEEP${ac_eB}HAVE_USLEEP${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
${ac_eA}HAVE_VSNPRINTF${ac_eB}HAVE_VSNPRINTF${ac_eC}1${ac_eD}
${ac_dA}HAVE_ALARM${ac_dB}HAVE_ALARM${ac_dC}1${ac_dD}
${ac_uA}HAVE_ALARM${ac_uB}HAVE_ALARM${ac_uC}1${ac_uD}
${ac_eA}HAVE_ALARM${ac_eB}HAVE_ALARM${ac_eC}1${ac_eD}
${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
${ac_eA}HAVE_MMAP${ac_eB}HAVE_MMAP${ac_eC}1${ac_eD}
${ac_dA}HAVE_POPEN${ac_dB}HAVE_POPEN${ac_dC}1${ac_dD}
${ac_uA}HAVE_POPEN${ac_uB}HAVE_POPEN${ac_uC}1${ac_uD}
${ac_eA}HAVE_POPEN${ac_eB}HAVE_POPEN${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_SHMAT${ac_dB}HAVE_SHMAT${ac_dC}1${ac_dD}
${ac_uA}HAVE_SHMAT${ac_uB}HAVE_SHMAT${ac_uC}1${ac_uD}
${ac_eA}HAVE_SHMAT${ac_eB}HAVE_SHMAT${ac_eC}1${ac_eD}
${ac_dA}HAVE_SLEEP${ac_dB}HAVE_SLEEP${ac_dC}1${ac_dD}
${ac_uA}HAVE_SLEEP${ac_uB}HAVE_SLEEP${ac_uC}1${ac_uD}
${ac_eA}HAVE_SLEEP${ac_eB}HAVE_SLEEP${ac_eC}1${ac_eD}
${ac_dA}HAVE_SYSTEM${ac_dB}HAVE_SYSTEM${ac_dC}1${ac_dD}
${ac_uA}HAVE_SYSTEM${ac_uB}HAVE_SYSTEM${ac_uC}1${ac_uD}
${ac_eA}HAVE_SYSTEM${ac_eB}HAVE_SYSTEM${ac_eC}1${ac_eD}
${ac_dA}HAVE_TTYNAME${ac_dB}HAVE_TTYNAME${ac_dC}1${ac_dD}
${ac_uA}HAVE_TTYNAME${ac_uB}HAVE_TTYNAME${ac_uC}1${ac_uD}
${ac_eA}HAVE_TTYNAME${ac_eB}HAVE_TTYNAME${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}HAVE_WAITPID${ac_dB}HAVE_WAITPID${ac_dC}1${ac_dD}
${ac_uA}HAVE_WAITPID${ac_uB}HAVE_WAITPID${ac_uC}1${ac_uD}
${ac_eA}HAVE_WAITPID${ac_eB}HAVE_WAITPID${ac_eC}1${ac_eD}
${ac_dA}HAVE_FETESTEXCEPT${ac_dB}HAVE_FETESTEXCEPT${ac_dC}1${ac_dD}
${ac_uA}HAVE_FETESTEXCEPT${ac_uB}HAVE_FETESTEXCEPT${ac_uC}1${ac_uD}
${ac_eA}HAVE_FETESTEXCEPT${ac_eB}HAVE_FETESTEXCEPT${ac_eC}1${ac_eD}
${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
${ac_eA}HAVE_SNPRINTF${ac_eB}HAVE_SNPRINTF${ac_eC}1${ac_eD}
${ac_dA}HAVE_MPZ_XOR${ac_dB}HAVE_MPZ_XOR${ac_dC}1${ac_dD}
${ac_uA}HAVE_MPZ_XOR${ac_uB}HAVE_MPZ_XOR${ac_uC}1${ac_uD}
${ac_eA}HAVE_MPZ_XOR${ac_eB}HAVE_MPZ_XOR${ac_eC}1${ac_eD}
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  cat > conftest.frag <<CEOF
${ac_dA}BROKEN_FFLUSH_NULL${ac_dB}BROKEN_FFLUSH_NULL${ac_dC}0${ac_dD}
${ac_uA}BROKEN_FFLUSH_NULL${ac_uB}BROKEN_FFLUSH_NULL${ac_uC}0${ac_uD}
${ac_eA}BROKEN_FFLUSH_NULL${ac_eB}BROKEN_FFLUSH_NULL${ac_eC}0${ac_eD}
s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in

  rm -f conftest.frag conftest.h
  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  cat conftest.in >> conftest.h
  rm -f conftest.in
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    # Remove last slash and all that follows it.  Not all systems have dirname.
      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
      # The file is in a subdirectory.
      test ! -d "$ac_dir" && mkdir "$ac_dir"
    fi
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done



exit 0
